Subject: Re: [PATCH] man: git pull -r is a short for --rebase

From: Miklos Vajna <[email-masked]>
Date: Thu, 16 Aug 2012 21:45:52 +0200

Hi,

On Thu, Aug 16, 2012 at 09:22:14AM -0700, Junio C Hamano <[email-masked]> wrote:
> I am not sure if this is worth it, as it comes from a natural
> "abbreviated options" support, i.e.
> 
> 	-r|--r|--re|--reb|--reba|--rebas|--rebase)
> 		rebase=true

I sent the patch as a (newcomer) friend today asked if it's intentional
that -r is undocumented in 'man git-pull'.

> And I do not think we particularly want to do
> 
>     +-r::
>     +--r::
>     +--re::
>     +--reb::
>     +--reba::
>     +--rebas::
>      --rebase::
>             Rebase the current...
> 
> for obvious reasons.

I agree, however, we already document -q and --quiet, or -v and
--verbose in the same manpage, so I think it would be consistent to have
-r there as well.

Thanks,

Miklos